Bric::Util::Grp::Element(3)

NAME
Bric::Util::Grp::Element - Interface to Element Groups

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2004-06-04 12:21:12 -0700 (Fri, 04 Jun 2004) $

SYNOPSIS
See Bric::Util::Grp

DESCRIPTION
See Bric::Util::Grp.

INTERFACE

  Constructors
Inherited from Bric::Util::Grp.

  Destructors

$attr->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Class Methods

$class_id = Bric::Util::Grp::Element->get_class_id()
    This will return the class ID that this group is associated with.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my $secret = Bric::Util::Grp::Element->get_secret()
    Returns false, because this is not a secret type of group, but one that can be used by users.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my $class = Bric::Util::Grp::Element->my_class()
    Returns a Bric::Util::Class object describing this class.

    Throws: NONE.

    Side Effects: NONE.

    Notes: Uses Bric::Util::Class->lookup() internally.

  Public Instance Methods
Inherited from Bric::Util::Grp.

PRIVATE

  Private Constructors
NONE.

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions
NONE.

NOTES
NONE.

AUTHOR
David Wheeler <david@wheeler.net>

SEE ALSO
Bric, Bric::Biz::AssetType, Bric::Util::Grp